package Lambda;

import java.util.function.IntSupplier;

public class LambdaAlsRückgabewert {

	public static void main(String[] args) {
		
		IntSupplier würfel = würfel();
		System.out.println(würfel.getAsInt());
	}
	

	public static IntSupplier würfel() {
		
		// Das äußere return gibt den gesamten Lambda-Ausdruck als IntSupplier zurück.
		// Das innere return innerhalb des Lambda-Körpers gibt den int-Wert für getAsInt()
		return () -> {return (int) (Math.random() * 6+1);};
	}
	
}
